﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Win;

namespace WindowsFormsApplication1
{
    class CF : IUIElementCreationFilter
    {
        public void AfterCreateChildElements(UIElement parent)
        {
            if (parent is ImageAndTextUIElement)
            {
                parent.Rect = new System.Drawing.Rectangle(parent.Rect.X - 1, parent.Rect.Y, parent.Rect.Width, parent.Rect.Height);
            }
        }

        public bool BeforeCreateChildElements(UIElement parent)
        {
            return false;
        }
    }
}
